Create an annotation queue
curl --request POST \
--url https://api.honeyhive.ai/v1/queues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "",
"filters": {
"filterArray": []
},
"enabled": true,
"event_ids": []
}
'import requests
url = "https://api.honeyhive.ai/v1/queues"
payload = {
"name": "<string>",
"description": "",
"filters": { "filterArray": [] },
"enabled": True,
"event_ids": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '',
filters: {filterArray: []},
enabled: true,
event_ids: []
})
};
fetch('https://api.honeyhive.ai/v1/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queue": {
"name": "<string>",
"description": "<string>",
"filters": {
"filterArray": [
{
"field": "<string>",
"value": "<string>"
}
]
},
"enabled": true,
"id": "<string>",
"scope_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}Queues
Create an annotation queue
Create a new annotation queue with a name, optional description, filters, and an initial set of event IDs to add.
POST
/
v1
/
queues
Create an annotation queue
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I

